> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a static input

> Returns a specific static input by ID.



## OpenAPI

````yaml GET /projects/{project_id}/static_inputs/{static_input_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/static_inputs/{static_input_id}:
    get:
      summary: Retrieve a static input
      description: Returns a specific static input by ID.
      operationId: retrieve-static-input
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: static_input_id
          in: path
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    name: Baseline Emission Factor
                    slug: baseline-emission-factor
                    description: Default baseline emission factor
                    value: '0.85'
                    value_type: number
                    unit: tCO2e/MWh
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T10:00:00.000Z'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````